package org.astakhova.data.impl;

import org.astakhova.data.*;

/**
 * Makes a description of a node the diagram ends with
 * @author Astakhova Julia A.
 */
public class EndNode extends Node implements IEndNode {
	/**
	 * Generates a new node
	 * @param x X-coordinate
	 * @param y Y-coordinate
	 */
	EndNode(int x, int y) {
		super(x, y);
		super.setText("End");
		setHeight(20);
		setWidth(60);
	}
	
	/**
	 * Makes impossible to change the text data "End"
	 */
	public void setText(String text) {
	}
	
	public boolean canBind() {
		return false;
	}

}
