package org.astakhova.view;

import org.astakhova.data.*;

/**
 * Factory of blocks
 * @author Astakhova Julia A.
 */
public abstract class BlockFactory {
	
	/**
	 * Creates a new instance of a block
	 * @param d diagram to contain created block
	 * @param x x-coordinate of created block
	 * @param y y-coordinate of created block
	 * @return a new block
	 */
	public Block newInstance(IDiagram d, int x, int y) {
		return null;
	}
}
