package org.astakhova.data.impl;

import org.astakhova.data.*;

/**
 * Makes a description of a data node. 
 * It entirely conforms the node description
 * @author Astakhova Julia A.
 */
public class DataNode extends Node implements IDataNode {
	/**
	 * Creates a new DataNode
	 * @param x X-coordinate
	 * @param y Y-coordinate
	 */
	DataNode(int x, int y) {
		super(x,y);
		setHeight(35);
		setWidth(60);
	}
}